import { resolveComponent, openBlock, createBlock, withCtx, createTextVNode, createElementBlock, Fragment, renderList, ref, createVNode, renderSlot, resolveDynamicComponent } from "vue";
const props = {
  props: {
    options: Object,
    model: Object
  },
  created() {
    Object.assign(this, this.options);
  }
};
var _export_sfc = (sfc, props2) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props2) {
    target[key] = val;
  }
  return target;
};
const _sfc_main$8 = {
  mixins: [props]
};
function _sfc_render$6(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_input = resolveComponent("el-input");
  return openBlock(), createBlock(_component_el_input, {
    size: _ctx.size,
    placeholder: _ctx.placeholder,
    type: _ctx.type,
    modelValue: _ctx.model[_ctx.modelName],
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.modelName] = $event)
  }, null, 8, ["size", "placeholder", "type", "modelValue"]);
}
var kdInput = /* @__PURE__ */ _export_sfc(_sfc_main$8, [["render", _sfc_render$6]]);
const _sfc_main$7 = {
  mixins: [props]
};
function _sfc_render$5(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_button = resolveComponent("el-button");
  return openBlock(), createBlock(_component_el_button, { type: _ctx.type }, {
    default: withCtx(() => [
      createTextVNode("\u7ACB\u5373\u767B\u5F55")
    ]),
    _: 1
  }, 8, ["type"]);
}
var kdButton = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["render", _sfc_render$5]]);
const _sfc_main$6 = {
  mixins: [props]
};
function _sfc_render$4(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_option = resolveComponent("el-option");
  const _component_el_select = resolveComponent("el-select");
  return openBlock(), createBlock(_component_el_select, {
    placeholder: _ctx.placeholder,
    modelValue: _ctx.model.select,
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model.select = $event)
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.option, (item, index) => {
        return openBlock(), createBlock(_component_el_option, {
          key: index,
          label: item.label,
          value: item.value
        }, null, 8, ["label", "value"]);
      }), 128))
    ]),
    _: 1
  }, 8, ["placeholder", "modelValue"]);
}
var kdSelects = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["render", _sfc_render$4]]);
const _hoisted_1 = { class: "demo-rate-block" };
const _sfc_main$5 = {
  __name: "rate",
  setup(__props) {
    const value1 = ref(null);
    return (_ctx, _cache) => {
      const _component_el_rate = resolveComponent("el-rate");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(_component_el_rate, {
          modelValue: value1.value,
          "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => value1.value = $event)
        }, null, 8, ["modelValue"])
      ]);
    };
  }
};
const _sfc_main$4 = {
  mixins: [props]
};
function _sfc_render$3(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_autocomplete = resolveComponent("el-autocomplete");
  return openBlock(), createBlock(_component_el_autocomplete, {
    modelValue: _ctx.model[_ctx.modelName],
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.modelName] = $event),
    "fetch-suggestions": _ctx.querySearch,
    clearable: _ctx.clearable,
    class: "inline-input w-50",
    placeholder: _ctx.placeholder
  }, null, 8, ["modelValue", "fetch-suggestions", "clearable", "placeholder"]);
}
var Autodcomplete = /* @__PURE__ */ _export_sfc(_sfc_main$4, [["render", _sfc_render$3]]);
const _sfc_main$3 = {
  mixins: [props],
  methods: {
    handleChange(value) {
      console.log(value);
    }
  }
};
function _sfc_render$2(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_cascader = resolveComponent("el-cascader");
  return openBlock(), createBlock(_component_el_cascader, {
    modelValue: _ctx.model[_ctx.modelName],
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.modelName] = $event),
    options: _ctx.option,
    onChange: $options.handleChange
  }, null, 8, ["modelValue", "options", "onChange"]);
}
var kdCascader = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["render", _sfc_render$2]]);
const _sfc_main$2 = {
  mixins: [props]
};
function _sfc_render$1(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_checkbox = resolveComponent("el-checkbox");
  return openBlock(), createElementBlock(Fragment, null, [
    createVNode(_component_el_checkbox, {
      modelValue: _ctx.model[_ctx.modelNamefir],
      "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.modelNamefir] = $event),
      label: _ctx.labelfir,
      size: _ctx.size,
      disabled: _ctx.disabled,
      "text-color": _ctx.textColor
    }, null, 8, ["modelValue", "label", "size", "disabled", "text-color"]),
    createVNode(_component_el_checkbox, {
      modelValue: _ctx.model[_ctx.modelNamesec],
      "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => _ctx.model[_ctx.modelNamesec] = $event),
      label: _ctx.labelsec,
      size: _ctx.size
    }, null, 8, ["modelValue", "label", "size"])
  ], 64);
}
var kdCheckbox = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["render", _sfc_render$1]]);
const _sfc_main$1 = {
  mixins: [props]
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_date_picker = resolveComponent("el-date-picker");
  return openBlock(), createBlock(_component_el_date_picker, {
    modelValue: _ctx.model[_ctx.modelName],
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.modelName] = $event),
    type: _ctx.type,
    placeholder: _ctx.placeholder,
    size: _ctx.size
  }, null, 8, ["modelValue", "type", "placeholder", "size"]);
}
var kdDatePicker = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render]]);
var kdForm_vue_vue_type_style_index_0_scoped_true_lang = "";
const __default__ = {
  components: {
    kdInput,
    kdButton,
    kdSelects,
    kdRate: _sfc_main$5,
    Autodcomplete,
    kdCascader,
    kdCheckbox,
    kdDatePicker
  },
  props: {
    config: Object,
    model: Object
  },
  created() {
    const { rules, formItemArr } = this.config;
    const { form } = this.model;
    this.rules = rules;
    this.formItemArr = formItemArr;
    this.form = form;
  }
};
const _sfc_main = /* @__PURE__ */ Object.assign(__default__, {
  __name: "kdForm",
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_form_item = resolveComponent("el-form-item");
      const _component_el_form = resolveComponent("el-form");
      return openBlock(), createBlock(_component_el_form, {
        rules: _ctx.rules,
        "label-width": "120px",
        "label-position": "top"
      }, {
        default: withCtx(() => [
          (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.formItemArr, (item) => {
            return openBlock(), createBlock(_component_el_form_item, {
              key: item.id,
              label: item.label,
              prop: item.prop
            }, {
              default: withCtx(() => [
                renderSlot(_ctx.$slots, item.beforeinput, {}, void 0, true),
                (openBlock(), createBlock(resolveDynamicComponent(item.name), {
                  options: item.options,
                  model: _ctx.form
                }, null, 8, ["options", "model"])),
                renderSlot(_ctx.$slots, item.afterslot, {}, void 0, true)
              ]),
              _: 2
            }, 1032, ["label", "prop"]);
          }), 128))
        ]),
        _: 3
      }, 8, ["rules"]);
    };
  }
});
var kdForm = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-75995855"]]);
const install = (Vue) => {
  Vue.component("kdForm", kdForm);
};
export { install as default };
